java.sql

## Class Date

- java.lang.Object
- - java.util.Date
  - - java.sql.Date

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Date>

      public class Date
      extends Date

  A thin wrapper around a millisecond value that allows JDBC to identify this as an SQL `DATE` value. A milliseconds value represents the number of milliseconds that have passed since January 1, 1970 00:00:00.000 GMT.

  To conform with the definition of SQL `DATE`, the millisecond values wrapped by a `java.sql.Date` instance must be 'normalized' by setting the hours, minutes, seconds, and milliseconds to zero in the particular time zone with which the instance is associated.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Date(int year, int month, int day)` Deprecated. instead use the constructor `Date(long date)`
    `Date(long date)` Constructs a `Date` object using the given milliseconds time value.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHours()` Deprecated.
    `int` | `getMinutes()` Deprecated.
    `int` | `getSeconds()` Deprecated.
    `void` | `setHours(int i)` Deprecated.
    `void` | `setMinutes(int i)` Deprecated.
    `void` | `setSeconds(int i)` Deprecated.
    `void` | `setTime(long date)` Sets an existing `Date` object using the given milliseconds time value.
    `String` | `toString()` Formats a date in the date escape format yyyy-mm-dd.
    `static Date` | `valueOf(String s)` Converts a string in JDBC date escape format to a `Date` value.

    - ### Methods inherited from class java.util.Date

      `after, before, clone, compareTo, equals, getDate, getDay, getMonth, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setMonth, setYear, toGMTString, toLocaleString, UTC`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Date

          public Date(int year,
              int month,
              int day)

      Deprecated. instead use the constructor `Date(long date)`
      Constructs a `Date` object initialized with the given year, month, and day.

      The result is undefined if a given argument is out of bounds.

      Parameters:
        `year` - the year minus 1900; must be 0 to 8099. (Note that 8099 is 9999 minus 1900.)
        `month` - 0 to 11
        `day` - 1 to 31

    - #### Date

          public Date(long date)

      Constructs a `Date` object using the given milliseconds time value. If the given milliseconds value contains time information, the driver will set the time components to the time in the default time zone (the time zone of the Java virtual machine running the application) that corresponds to zero GMT.
      Parameters:
        `date` - milliseconds since January 1, 1970, 00:00:00 GMT not to exceed the milliseconds representation for the year 8099. A negative number indicates the number of milliseconds before January 1, 1970, 00:00:00 GMT.

  - ### Method Detail

    - #### setTime

          public void setTime(long date)

      Sets an existing `Date` object using the given milliseconds time value. If the given milliseconds value contains time information, the driver will set the time components to the time in the default time zone (the time zone of the Java virtual machine running the application) that corresponds to zero GMT.
      Overrides:
        `setTime` in class `Date`
      Parameters:
        `date` - milliseconds since January 1, 1970, 00:00:00 GMT not to exceed the milliseconds representation for the year 8099. A negative number indicates the number of milliseconds before January 1, 1970, 00:00:00 GMT.

    - #### valueOf

          public static Date valueOf(String s)

      Converts a string in JDBC date escape format to a `Date` value.
      Parameters:
        `s` - a `String` object representing a date in in the format "yyyy-mm-dd"
      Returns:
        a `java.sql.Date` object representing the given date
      Throws:
        `IllegalArgumentException` - if the date given is not in the JDBC date escape format (yyyy-mm-dd)

    - #### toString

          public String toString()

      Formats a date in the date escape format yyyy-mm-dd.

      Overrides:
        `toString` in class `Date`
      Returns:
        a String in yyyy-mm-dd format
      See Also:
        `Date.toLocaleString()`, `Date.toGMTString()`

    - #### getHours

          public int getHours()

      Deprecated.
      This method is deprecated and should not be used because SQL Date values do not have a time component.
      Overrides:
        `getHours` in class `Date`
      Returns:
        the hour represented by this date.
      Throws:
        `IllegalArgumentException` - if this method is invoked
      See Also:
        `setHours(int)`

    - #### getMinutes

          public int getMinutes()

      Deprecated.
      This method is deprecated and should not be used because SQL Date values do not have a time component.
      Overrides:
        `getMinutes` in class `Date`
      Returns:
        the number of minutes past the hour represented by this date.
      Throws:
        `IllegalArgumentException` - if this method is invoked
      See Also:
        `setMinutes(int)`

    - #### getSeconds

          public int getSeconds()

      Deprecated.
      This method is deprecated and should not be used because SQL Date values do not have a time component.
      Overrides:
        `getSeconds` in class `Date`
      Returns:
        the number of seconds past the minute represented by this date.
      Throws:
        `IllegalArgumentException` - if this method is invoked
      See Also:
        `setSeconds(int)`

    - #### setHours

          public void setHours(int i)

      Deprecated.
      This method is deprecated and should not be used because SQL Date values do not have a time component.
      Overrides:
        `setHours` in class `Date`
      Parameters:
        `i` - the hour value.
      Throws:
        `IllegalArgumentException` - if this method is invoked
      See Also:
        `getHours()`

    - #### setMinutes

          public void setMinutes(int i)

      Deprecated.
      This method is deprecated and should not be used because SQL Date values do not have a time component.
      Overrides:
        `setMinutes` in class `Date`
      Parameters:
        `i` - the value of the minutes.
      Throws:
        `IllegalArgumentException` - if this method is invoked
      See Also:
        `getMinutes()`

    - #### setSeconds

          public void setSeconds(int i)

      Deprecated.
      This method is deprecated and should not be used because SQL Date values do not have a time component.
      Overrides:
        `setSeconds` in class `Date`
      Parameters:
        `i` - the seconds value.
      Throws:
        `IllegalArgumentException` - if this method is invoked
      See Also:
        `getSeconds()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.